# 重命名规则

## 基本语法

![重命名规则语法](../images/rename_pattern_rule.png)

## 示例

假设正则表达式中的捕获组1为apple

(例如，用正则表达式`\b(a\w+)\b`去匹配文本apple,第一个捕获组就是apple)

| 重命名规则 | 结果 |
|:----:|:----:|
| $$ | $ |
| $1 | apple |
| $2 | ⟦空⟧ |
| $1>U | APPLE |
| $1>L | apple |
| $1>F | Apple |
| $1{le>lication} |application |
| $1{A>b} | apple |
| $1>F{A>b} | bpple |
| $1{p>b}{a>p} | pbble |
| $1{a>p}{p>b} | bbble |

假设有四条重命名的名称，其中每一条匹配到的字符串为：
* 字符串1捕获组1: 100
* 字符串2捕获组1: 500
* 字符串3捕获组1: 500
* 字符串4捕获组1: 1300

| 字符串 | 重命名规则 | 结果 |
|:----:|:----:|:----:|
| 字符串1 | $>N | 1 |
| 字符串2 | $>N | 2 |
| 字符串2 | $>N | 2 |
| 字符串3 | $>N | 3 |
